Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

I would like to include infrequently used link such as Delete and Copy in Actions Dropdown.

This is a patch that is based on the current features of the wiki.

 screenshot_2021-02-12_15.41.37.png 

The reason for making this issue:

There are many icons on the view, so I would like to make it a little simpler.

I am trying to increase the number of "copy links" links in #34703. Then there will be more icons than now.

Journal action links only show icons, but there are some features that are difficult to understand with just the icons.

Concern:

The same icon is used for the context menu of related issues on the page, and it may be misunderstood that the link added this time

also opens the context menu.

Related issues:

Related to Redmine - Feature #34703: "Copy link" feature for issue and issue ... Closed

Associated revisions

Revision 20765 - 2021-03-07 07:46 - Go MAEDA

Move some action links for issues and journals to the dropdown menu (#34714).

Patch by Mizuki ISHIKAWA.

Revision 20805 - 2021-03-17 06:29 - Go MAEDA

Fix a failed system test due to r20765 (#34714).

Patch by Mizuki ISHIKAWA.

Revision 20842 - 2021-03-25 05:21 - Go MAEDA

Restore Copy button to its original location (#34714).

Patch by Mizuki ISHIKAWA.

History

#1 - 2021-02-12 07:55 - Mizuki ISHIKAWA

- File screenshot1.png added

- File screenshot2.png added

- File 34714.patch added

I have attached a patch.

The following image is the issues / show page after applying the patch.
https://www.redmine.org/issues/34703


screenshot1.png 
screenshot2.png 

#2 - 2021-02-13 07:36 - Go MAEDA

I think it is better to put "Edit" in the menu instead of "Quote"
In my opinion, "Quote" is a more frequently used feature than "Edit"

"Edit" is displayed only for users who have appropriate permission. If the current user does not have permission, no button is displayed there

#3 - 2021-02-22 01:52 - Mizuki ISHIKAWA

- File 34714-v2.patch added

- File screenshot_2021-02-22_9.49.20.png added

Go MAEDA wrote:

I think it is better to put "Edit" in the menu instead of "Quote"

In my opinion, "Quote" is a more frequently used feature than "Edit"

"Edit" is displayed only for users who have appropriate permission. If the current user does not have permission, no button is displayed

there

 Thank you for your feedback.

I agree with your opinion and modified the patch as shown in the image below.

 screenshot_2021-02-22_9.49.20.png 

#4 - 2021-02-22 09:38 - Marius BĂLTEANU

I use quite a lot the "Edit" link, mostly to edit my own comments (eg: fix typos). I think we should hide under the dropdown only the "Delete" link.

#5 - 2021-03-03 01:53 - Mizuki ISHIKAWA

- File 34714-v3.patch added

It seems that both "Quote" and "Edit" are used frequently, so I made a patch that puts only Delete in the dropdown.

It may seem that you don't need to change to the dropdown as there are only "Delete" dropdown items, but once this patch is committed, you want to

put the "CopyLink" under development in #34703 into the dropdown. think.

#6 - 2021-03-03 01:55 - Mizuki ISHIKAWA

- File screenshot_2021-03-03_9.54.32.png added

 screenshot_2021-03-03_9.54.32.png 

#7 - 2021-03-03 22:04 - Marius BĂLTEANU

- Related to Feature #34703: "Copy link" feature for issue and issue journal added

#8 - 2021-03-06 18:58 - Marius BĂLTEANU

- Target version set to 4.2.0

The patch looks good to me with one exception, there are 3 Rubocop offences that should be fixed.

I'm assigning this to 4.2.0, it's an useful change.

#9 - 2021-03-07 07:46 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch after fixing RuboCop offenses. Thank you.

#10 - 2021-03-08 00:16 - Mizuki ISHIKAWA

Thank you for your code review and commit :)

#11 - 2021-03-16 22:22 - Marius BĂLTEANU

- Status changed from Closed to Reopened

A system test fails:
IssuesSystemTest#test_removing_issue_shows_confirm_dialog:

Capybara::ExpectationNotMet: expected to find visible css "#content a.icon-del" at least 1 time but there were

 no matches. Also found "", "", which matched the selector but not all filters. 

    test/system/issues_test.rb:241:in `block (2 levels) in <class:IssuesSystemTest>'

    test/system/issues_test.rb:240:in `block in <class:IssuesSystemTest>'

bin/rails test test/system/issues_test.rb:237

.[Screenshot]: tmp/screenshots/failures_test_bulk_edit.png

#12 - 2021-03-17 02:38 - Mizuki ISHIKAWA

Marius BALTEANU wrote:

A system test fails:

 I missed the result of the system test. Thank you for reporting.

The test will work by adding the following line.

diff --git a/test/system/issues_test.rb b/test/system/issues_test.rb

index f1f355d0d..0e37ae77d 100644

--- a/test/system/issues_test.rb

+++ b/test/system/issues_test.rb

@@ -238,6 +238,7 @@ class IssuesSystemTest < ApplicationSystemTestCase

     log_user('jsmith', 'jsmith')

     visit '/issues/1'

     page.accept_confirm /Are you sure/ do

+      first('#content span.icon-actions').click

       first('#content a.icon-del').click

     end

   end

#13 - 2021-03-17 06:29 - Go MAEDA

- Status changed from Reopened to Closed

Mizuki ISHIKAWA wrote:

Marius BALTEANU wrote:

A system test fails:

 I missed the result of the system test. Thank you for reporting.

The test will work by adding the following line.

[...]

 Committed the fix in r20805.

#14 - 2021-03-22 09:23 - Mizuki ISHIKAWA

- File 34714-move-copy.patch added

- File screenshot_2021-03-22_17.02.20.png added

- Status changed from Closed to Reopened

This is a feature that has already been committed, but I thought it would be better if the issue copy link wasn't in the dropdown.

If you move the copy link out of the dropdown, the content of the dropdown will match between the journal and the issue for a unified look.

 screenshot_2021-03-22_17.02.20.png 

#15 - 2021-03-22 11:40 - Robert Korulczyk

If you move the copy link out of the dropdown, the content of the dropdown will match between the journal and the issue for a unified look.

 I don't think that it is valid reason to move this action outside of the dropdown. Dropdown should contain less frequently used items, it should be the

last thing that you want to keep unified across different views.

#16 - 2021-03-22 14:22 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/revisions/20805


Mizuki ISHIKAWA wrote:

This is a feature that has already been committed, but I thought it would be better if the issue copy link wasn't in the dropdown.

If you move the copy link out of the dropdown, the content of the dropdown will match between the journal and the issue for a unified look.

 +1

After applying r20765 to my company's production server, team members started to complain that accessing the "Copy" button requires one more

click is very inconvenient because they use the feature frequently.

#17 - 2021-03-25 05:28 - Go MAEDA

- File 34714-after.png added

- Subject changed from Move some action links for issues and journals to the dropdown menu to Move delete button for issues and journals to the

dropdown menu

- Status changed from Reopened to Closed

Committed the fix #34714#note-14 in r20842.

Before (pre r20765):

[Edit] [Log time] [Watch] [Copy] [Delete] 

 After (r20805):

[Edit] [Log time] [Watch] [Copy] […]

                                 [Copy link]

                                 [Delete]
